package com.ywt.mg.params.registeredOrder;


import com.ywt.mg.params.PageRequest;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

@ApiModel(value = "按条件查找挂号订单Request")
public class RegisteredOrderListRequest extends PageRequest implements Serializable {

    @ApiModelProperty(value = "订单编号")
    private String orderno;

    @ApiModelProperty(value = "患者姓名")
    private String patientname;

    @ApiModelProperty(value = "患者手机号")
    private String patientmobile;

    @ApiModelProperty(value = "医生姓名")
    private String doctorname;

    @ApiModelProperty(value = "科室名称")
    private String deptname;

    @ApiModelProperty(value = "挂号状态")
    private String registeredstatus;

    @ApiModelProperty(value = "支付状态")
    private String paymentstatus;

    @ApiModelProperty(value = "来源")
    private String source;

    @ApiModelProperty(value = "类型")
    private String type;

    @ApiModelProperty(value = "创建时间查询开始时间")
    private String createStartTime;

    @ApiModelProperty(value = "创建时间查询结束时间")
    private String createEndTime;

    @ApiModelProperty(value = "挂号时间查询开始时间")
    private String registeredStartTime;

    @ApiModelProperty(value = "挂号时间查询结束时间")
    private String registeredEndTime;

    @ApiModelProperty(value = "医院ID")
    private int hospitalId = -1;

    @ApiModelProperty(value = "对账时间查询开始时间")
    private String billStartTime;

    @ApiModelProperty(value = "对账时间查询结束时间")
    private String billEndTime;

    @ApiModelProperty(value = "交易流水号")
    private String transactionId;

    @ApiModelProperty(value = "判断医院后台还是公司后台")
    private int hosp;

    public String getOrderno() {
        return orderno;
    }

    public void setOrderno(String orderno) {
        this.orderno = orderno;
    }

    public String getPatientname() {
        return patientname;
    }

    public void setPatientname(String patientname) {
        this.patientname = patientname;
    }

    public String getPatientmobile() {
        return patientmobile;
    }

    public void setPatientmobile(String patientmobile) {
        this.patientmobile = patientmobile;
    }

    public String getDoctorname() {
        return doctorname;
    }

    public void setDoctorname(String doctorname) {
        this.doctorname = doctorname;
    }

    public String getDeptname() {
        return deptname;
    }

    public void setDeptname(String deptname) {
        this.deptname = deptname;
    }

    public String getRegisteredstatus() {
        return registeredstatus;
    }

    public void setRegisteredstatus(String registeredstatus) {
        this.registeredstatus = registeredstatus;
    }

    public String getPaymentstatus() {
        return paymentstatus;
    }

    public void setPaymentstatus(String paymentstatus) {
        this.paymentstatus = paymentstatus;
    }

    public String getSource() {
        return source;
    }

    public void setSource(String source) {
        this.source = source;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getCreateStartTime() {
        return createStartTime;
    }

    public void setCreateStartTime(String createStartTime) {
        this.createStartTime = createStartTime;
    }

    public String getCreateEndTime() {
        return createEndTime;
    }

    public void setCreateEndTime(String createEndTime) {
        this.createEndTime = createEndTime;
    }

    public String getRegisteredStartTime() {
        return registeredStartTime;
    }

    public void setRegisteredStartTime(String registeredStartTime) {
        this.registeredStartTime = registeredStartTime;
    }

    public String getRegisteredEndTime() {
        return registeredEndTime;
    }

    public void setRegisteredEndTime(String registeredEndTime) {
        this.registeredEndTime = registeredEndTime;
    }

    public int getHospitalId() {
        return hospitalId;
    }

    public void setHospitalId(int hospitalId) {
        this.hospitalId = hospitalId;
    }

    public String getBillStartTime() {
        return billStartTime;
    }

    public void setBillStartTime(String billStartTime) {
        this.billStartTime = billStartTime;
    }

    public String getBillEndTime() {
        return billEndTime;
    }

    public void setBillEndTime(String billEndTime) {
        this.billEndTime = billEndTime;
    }

    public String getTransactionId() {
        return transactionId;
    }

    public void setTransactionId(String transactionId) {
        this.transactionId = transactionId;
    }

    public int getHosp() {
        return hosp;
    }

    public void setHosp(int hosp) {
        this.hosp = hosp;
    }
}
